import request from '@/utils/request'
// import { downloadByUrl } from '@/utils'
import qs from 'qs'

// hid已对 -- 多文件上传
export function commonBatchUploadFile(data, cd) {
  return request({
    url: '/sys/sysFolderPermission/uploadDoc',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data,
    onUploadProgress: cd ? function(progressEvent) {
      if (progressEvent.lengthComputable) {
        cd(progressEvent)
      }
    } : null,
    // directToken: token
  })
}

// hid已对 -- 单文件上传
export function commonSingleUploadFile(data, cd) {
  return request({
    url: '/sys/sysFolderPermission/uploadOneDoc',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}

// hid已对---获取人员all、commonUser、dept
export function commonGetContactsList(data) {
  return request({
    url: '/sys/user/listCommonUser',
    method: 'post',
    data: qs.stringify(data)
  })
}

// hid已对---保存常用联系人
export function commonSaveContacts(data) {
  return request({
    url: '/sys/user/saveCommonUser',
    method: 'post',
    data: qs.stringify(data)
  })
}

// hid已对---删除常用联系人
export function commonDeleteContacts(data) {
  return request({
    url: '/sys/user/deleteCommonUser',
    method: 'post',
    data: qs.stringify(data)
  })
}

/**
 * 菜单-获取当前用户权限内的系统
 */
export function commonGetSystemOptionsApi() {
  return request({
    url: '/sys/user/getUserSysCode',
    method: 'get',
    params: {}
  })
}

/**
 * 公用post方法
 * @param url
 * @param headers
 * @param data
 */
export function postforeignApi(url, headers, data) {
  return request({
    url: url,
    method: 'post',
    headers: headers,
    data
  })
}

/**
 * 公用get方法
 * @param url
 * @param headers
 * @param data
 */
export function getforeignApi(url, data, urlParam) {
  if (urlParam) url = url + `/${urlParam}`
  return request({
    url: url,
    method: 'get',
    params: data
  })
}

/**
 *查询人员---可按全部、按部门或id批量查询
 * @param data
 * @param type
 */
export function getUserData(data, type) {
  return request({
    url: '/sys/user/selectUserDept',
    method: 'post',
    data: data
  })
}
/**
 * 角色文件商场
 * @param data
 */
export function roleBatchImportUser(data) {
  return request({
    url: '/sys/role/roleBatchImportUser',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}
/**
 * 查询lovlist--通用
 * @param key
 * add by:zjs ----20220805
 */
export function getPublicLovList(key) {
  return request({
    url: `/og/lov/getPropertyList/${key}`,
    method: 'get',
    params: {}
  })
}
/**
 * 根据父级Id查询下级数据-7.28新增
 * @param key
 */
export function getNextLovList(key) {
  return request({
    url: `/og/lov/getSubList/${key}`,
    method: 'get',
    params: {}
  })
}
