import request from '@/utils/request'
// 菜单管理相关接口
/**
 * 获取所有菜单列表接口
 * @param data
 */
export function getAllMenuList(data) {
  return request({
    url: '/sys/resource/searchResourceTree',
    method: 'post',
    data
  })
}
/**
 * 新增菜单接口
 * @param data
 */
export function addMenu(data) {
  return request({
    url: '/sys/resource/saveResource',
    method: 'post',
    data
  })
}
/**
 * 菜单批量更新接口
 * @param data
 */
export function multiUpdateMenu(data) {
  return request({
    url: '/sys/resource/updates',
    method: 'post',
    data
  })
}
/**
 * 菜单启用禁用接口
 * @param data
 */
export function updateMenuStatus(data) {
  return request({
    url: '/sys/resource/updateStatus',
    method: 'post',
    data
  })
}
/**
 * 菜单删除接口
 * @param data
 */
export function deleteMenu(data) {
  return request({
    url: '/sys/resource/updateEnable',
    method: 'get',
    params: data
  })
}
/**
 * 菜单单条编辑接口
 * @param data
 */
export function editMenu(data) {
  return request({
    url: '/sys/resource/update',
    method: 'post',
    data: data
  })
}

/** 根据菜单查引用菜单的角色
 * @param data
 */
export function getMenuRoles(data) {
  return request({
    url: '/sys/resource/queryRoleListByResource',
    method: 'post',
    data: data
  })
}
