import { unref } from 'vue'
import store from '@/store'

export const useAuthButton = (key) => {
  const buttonPermissions = store.state.app.buttons
  const buttons = unref(buttonPermissions)
  if (buttons) {
    return !!buttons[key]
  } else {
    return false
  }
}

export const useAuthButtonMutiSome = (keys) => {
  const buttonPermissions = store.state.app.buttons
  const buttons = unref(buttonPermissions)
  return keys.some(key => !!buttons[key])
}

export const useAuthButtonMutiEvery = (keys) => {
  const buttonPermissions = store.state.app.buttons
  const buttons = unref(buttonPermissions)
  return keys.every(key => !!buttons[key])
}
