import { set, sortBy } from 'lodash-es'

export function genMessage(langs, prefix = 'lang') {
  const obj = {}
  const keys = Object.keys(langs) || []
  const currentkeys = sortBy(keys, function(o) { return o.length })
  currentkeys.forEach((key) => {
    const langFileModule = langs[key]
    const fileName = key.replace(`./${prefix}/`, '').replace(/^\.\//, '')
    const keyList = fileName.split('/')
    const moduleName = keyList.shift()
    const objKey = keyList.join('.')
    if (moduleName) {
      if (objKey) {
        // dobble：routes
        set(obj, moduleName, obj[moduleName] || {})
        set(obj[moduleName], objKey, langFileModule)
      } else {
        // single：common.ts
        set(obj, moduleName, langFileModule || {})
      }
    }
  })
  return obj
}

export function setHtmlPageLang(locale) {
  document.querySelector('html').setAttribute('lang', locale)
}
